As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 734211 - Expose API for querying the existence of Sync accounts, creating accounts
: Expose API for querying the existence of Sync accounts, creating accounts
Status: RESOLVED FIXED
:
Product: Android Background Services
Classification: Client Software
Component: Android Sync (show other bugs)
: unspecified
: ARM Android
: P1 normal
: mozilla14
Assigned To: Richard Newman [:rnewman]
:
:
Mentors:
Depends on:
Blocks: 735137 739629
  Show dependency treegraph
 
Reported: 2012-03-08 11:57 PST by Richard Newman [:rnewman]
Modified: 2013-04-04 13:48 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments

Description User image Richard Newman [:rnewman] 2012-03-08 11:57:57 PST
This will largely entail lifting AccountActivity.createAccount and adding validation, and documenting its assumptions (e.g., about threading).

Also will need an option to ensure that no account already exists, to avoid ending up with two!

While we're here, we can also add a little API to check whether a Sync account exists, and strip that logic out of the main Fennec code.

In the future we can explore additional decoupling.
Comment 1 User image Richard Newman [:rnewman] 2012-03-12 22:04:55 PDT
The beginnings of this:

https://github.com/mozilla-services/android-sync/pull/105
Comment 2 User image Richard Newman [:rnewman] 2012-03-13 08:18:28 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/a0df03570b26

Leaving open for any work required for Part 2.
Comment 3 User image Ed Morley [:emorley] 2012-03-14 14:37:38 PDT
Part 1:
https://hg.mozilla.org/mozilla-central/rev/a0df03570b26
Comment 4 User image Mark Finkle (:mfinkle) (use needinfo?) 2012-03-24 09:26:51 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/bccdef36473e

(i assume there is more to add here since the bug was left open. maybe we should open a new bug and close this one?)
Comment 5 User image Brad Lassey [:blassey] (use needinfo?) 2012-03-27 08:36:50 PDT
(In reply to Richard Newman [:rnewman] from comment #2)
> https://hg.mozilla.org/integration/mozilla-inbound/rev/a0df03570b26
> 
> Leaving open for any work required for Part 2.

can you file a second bug for part #2 please?
Comment 6 User image Richard Newman [:rnewman] 2012-03-27 08:42:11 PDT
Done!

Note You need to log in before you can comment on or make changes to this bug.